## gpgme1.0 1.10.0

=== debian/changelog ===
gpgme1.0 (1.10.0-1ubuntu2.1) bionic; urgency=medium

  * qt-Use-tofu-conflict-test-keys-without-expiry.patch: Cherry pick
    upstream fix for expiry dates in test suite (LP: #1813581)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Aug 2019 11:16:50 +0200

gpgme1.0 (1.10.0-1ubuntu2) bionic; urgency=medium

  * Make debian/libgpgme-dev.links executable, it uses dh-exec (LP: #1762384)
  * Drop python3.5 test since python3.5 is not supported (fixes autopkgtest)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 Aug 2018 16:53:39 +0200

gpgme1.0 (1.10.0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patch/0007-Python-Versions.patch: Use py{,3}versions detection.
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this                       
      will fix the build failures of kf5-kdepim-apps-libs when built against this                   
      gpgme package.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 15 Jan 2018 14:22:11 +0100

gpgme1.0 (1.10.0-1) unstable; urgency=medium

  * new upstream release
  * update build-dependencies
  * drop patches already upstream
  * add new symbols
  * update debian/copyright
  * add explicit lintian overrides for things i have no plans to fix

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 14 Dec 2017 13:31:49 -0500

gpgme1.0 (1.9.0-8) unstable; urgency=medium

  * clean up wrap-and-sort
  * loosen dependencies (Closes: #872368)
  * only build against latest python3 (Closes: #866555)
  * Standards-Version: bump to 4.1.2 (no changes needed)
  * refresh patches
  * cherry-pick bugfixes from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 04 Dec 2017 17:46:39 -0500

gpgme1.0 (1.9.0-7) unstable; urgency=medium

  * force-build python 3.5 now that python3 is 3.6 in unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Oct 2017 18:54:17 -0400

gpgme1.0 (1.9.0-6) unstable; urgency=medium

  * point to correct qgpgme README (Closes: #857529)
  * use getdents64 instead of getdents (Closes: #876538)
  * Standards-Version: bump to 4.1.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 Oct 2017 23:25:45 -0400

gpgme1.0 (1.9.0-5) unstable; urgency=medium

  * Import more bugfixes from upstream.
  * Adopt Colin Watson's optimization for reducing the number of spurious
    close() calls on Linux platforms.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Sep 2017 10:10:37 -0400

gpgme1.0 (1.9.0-4) unstable; urgency=medium

  * complete upstream python file reorg (Closes: #872519)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 18 Aug 2017 01:38:35 -0400

gpgme1.0 (1.9.0-3) unstable; urgency=medium

  * imported cleanup+bugfixes from upstream
  * removed unnecessary b-d on autoreconf
  * drop unneeded DEBIAN_VERSION from debian/rules
  * ship constants.tofu (Closes: #871465)
  * Standards-Version: bump to 4.0.1 (extra -> optional)
  * try to force python 3.6
  * strip debian revision from new 1.9.0 symbols
  * add the simplest possible python burn-in autopkgtest
  * release to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Aug 2017 22:16:47 -0400

gpgme1.0 (1.9.0-2) experimental; urgency=medium

  * Remove Jose Carlos Garcia Sogo from Uploaders (Closes: #862622)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 May 2017 20:17:38 -0400

gpgme1.0 (1.9.0-1) experimental; urgency=medium

  * New upstream version (to experimental)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 25 Apr 2017 20:30:13 -0400

gpgme1.0 (1.8.0-3ubuntu5) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:48:34 +1200

gpgme1.0 (1.8.0-3ubuntu4) artful; urgency=medium

  * debian/patch/0007-Python-Versions.patch: Use py{,3}versions detection.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 12 May 2017 03:54:43 -0600

gpgme1.0 (1.8.0-3ubuntu3) artful; urgency=medium

  * debian/patch/0007-Python-Versions.patch: Use py{,3}versions detection.
  * debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
  * debian/rules: Stop explicitly setting LDFLAGS, this messes with PIE.
  * debian/rules: Stop disabling PIE, the above CFLAGS changes should do.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 12 May 2017 01:22:23 -0600

gpgme1.0 (1.8.0-3ubuntu2) zesty; urgency=medium

  * Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
    will fix the build failures of kf5-kdepim-apps-libs when built against this
    gpgme package.
  * Set LDFLAGS=-Wl,-z,relro in debian/rules, this avoids passing
    "-Bsymbolic-functions" which seems to be the cause of FTBFS'es for some
    architectures.
  * Add 0005-tests-Reduce-iterations-threads.patch, this fixes another cause of
    FTBFS'es on some architectures.
  * Previous two changes fix (LP: #1647204)
  * Thank you to Rik Mills for his help fixing the above problems.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 18 Feb 2017 22:22:02 +0100

gpgme1.0 (1.8.0-3ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fPIC' to gcc, otherwise this package will fail to build on Ubuntu
    with this error:
    /usr/include/*/qt5/QtCore/qglobal.h:1087:4: error:
    #error "You must build your code with position independent code if Qt was
    built with -reduce-relocations. " "Compile your code with -fPIC (-fPIE is
    not enough)."

  [ Rik Mills ]
  * Apply upstream patch to fix build hang on launchpad-buildd and speed up
    tests on low entropy systems.  (LP: #1647204)

  [ Andre Hinecke ]
  * Apply another upstream patch to fix build hang on launchpad-buildd if
    gpg is gpg2.

  [ Barry Warsaw ]
  * d/control: update-maintainer

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 30 Jan 2017 09:08:10 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5

%:
	dh $@ --with python2,python3

override_dh_auto_configure:
	# clean up old location for python source (remove after 1.9.1 is released)
	rm -rf lang/python/gpg
	dh_auto_configure -- \
	    --enable-static \
	    --enable-languages="python cpp qt" \
	    PYTHON_VERSIONS="2.7 3.5 3.6" \
	    --infodir=/usr/share/info

override_dh_install:
	dh_install --list-missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installdocs:
	dh_installdocs -X.md5

=== debian/tests/control ===
Tests: python
Depends: python-gpg

Tests: python3
Depends: python3-gpg

Tests: python3.6
Depends: python3.6, python3-gpg

## gpgme1.0 1.11.1

=== debian/changelog ===
gpgme1.0 (1.11.1-1ubuntu3) cosmic; urgency=medium

  * Fix Build-Depends to use python3-all-dev instead of python3-dev

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 Aug 2018 16:32:44 +0200

gpgme1.0 (1.11.1-1ubuntu2) cosmic; urgency=medium

  * Mak debian/libgpgme-dev.links executable, it uses dh-exec (LP: #1762384)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 Aug 2018 14:52:40 +0200

gpgme1.0 (1.11.1-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patch/0007-Python-Versions.patch: Use py{,3}versions detection.
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
      will fix the build failures of kf5-kdepim-apps-libs when built against this
      gpgme package.
  * Bump libgpg-error-dev build dependency to 1.28 for new gpgrt API
  * Drop versioned python tests - 3.5 is not shipped anymore; and it
    makes transitions harder for dubious benefits.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 May 2018 15:52:27 +0200

gpgme1.0 (1.11.1-1) unstable; urgency=medium

  * New upstream release
  * use DEP-14 branch naming
  * d/control: add Rules-Requires-Root: no
  * refresh patches
  * add symbols
  * clean up lintian overrides
  * standards-version: bump to 4.1.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Apr 2018 01:11:09 -0400

gpgme1.0 (1.10.0-2) unstable; urgency=medium

  * move to debhelper 11
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * d/control: move Vcs*: to salsa
  * ship examples in python-gpg and python3-gpg
  * libgpgmepp-doc: repoint doc-base to
    /usr/share/doc/libgpgmepp-dev

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Feb 2018 23:49:10 -0500

=== debian/control ===
Source: gpgme1.0
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 automake (>= 1.14),
 debhelper (>= 11~),
 dh-exec,
 dh-python,
 gnupg-agent,
 gnupg2 | gnupg (>= 2),
 gpgsm,
 libassuan-dev (>= 2.4.2),
 libgpg-error-dev (>= 1.28),
 pkg-config,
 python-all-dev,
 python3-all-dev,
 qtbase5-dev,
 scdaemon,
 swig,
 texinfo,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.1.4
Homepage: https://www.gnupg.org/related_software/gpgme/
Vcs-Git: https://salsa.debian.org/debian/gpgme.git
Vcs-Browser: https://salsa.debian.org/debian/gpgme
Rules-Requires-Root: no

Package: libgpgme-dev
Section: libdevel
Architecture: any
Depends:
 libassuan-dev,
 libc6-dev,
 libgpg-error-dev,
 libgpgme11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libgpgme11-dev,
Replaces:
 libgpgme11-dev,
Provides:
 libgpgme11-dev (= ${binary:Version}),
Description: GPGME - GnuPG Made Easy (development files)
 GPGME is a wrapper library which provides a C API to access some of the
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
 This package contains the headers and other files needed to compile
 against this library.

Package: libgpgme11
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gnupg (>= 2.1.21-4) | gpg,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dirmngr,
 gpg-agent,
 gpg-wks-client,
 gpgsm,
Description: GPGME - GnuPG Made Easy (library)
 GPGME is a wrapper library which provides a C API to access some of the
 GnuPG functions, such as encrypt, decrypt, sign, verify, ...
 .
 This package contains the library.

Package: python3-gpg
Architecture: any
Section: python
Provides:
 ${python3:Provides},
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python interface to the GPGME GnuPG encryption library (Python 3)
 The "gpg" Python module is, for the most part, a direct interface to
 the C GPGME library.  However, it is re-packaged in a more Pythonic
 way -- object-oriented with classes and modules.  Take a look at the
 classes defined here -- they correspond directly to certain object
 types in GPGME for C.
 .
 Features:
  * Feature-rich, full implementation of the GPGME library. Supports
    all GPGME features except interactive editing (coming soon).
    Callback functions may be written in pure Python.
  * Ability to sign, encrypt, decrypt, and verify data.
  * Ability to list keys, export and import keys, and manage the keyring.
  * Fully object-oriented with convenient classes and modules.
 .
 This is the official upstream Python 3 binding for GPGME.

Package: python-gpg
Architecture: any
Section: python
Provides:
 ${python:Provides},
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python interface to the GPGME GnuPG encryption library (Python 2)
 The "gpg" Python module is, for the most part, a direct interface to
 the C GPGME library.  However, it is re-packaged in a more Pythonic
 way -- object-oriented with classes and modules.  Take a look at the
 classes defined here -- they correspond directly to certain object
 types in GPGME for C.
 .
 Features:
  * Feature-rich, full implementation of the GPGME library. Supports
    all GPGME features except interactive editing (coming soon).
    Callback functions may be written in pure Python.
  * Ability to sign, encrypt, decrypt, and verify data.
  * Ability to list keys, export and import keys, and manage the keyring.
  * Fully object-oriented with convenient classes and modules.
 .
 This is the official upstream Python 2 binding for GPGME.

Package: libqgpgme7
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for GPGME integration with Qt
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This is the official upstream Qt binding for GPGME.

Package: libgpgmepp6
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C++ wrapper library for GPGME
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 This is the official upstream C++ binding for GPGME.

Package: libgpgmepp-dev
Section: libdevel
Architecture: any
Depends:
 libgpgmepp6 (= ${binary:Version}),
 libqgpgme7 (= ${binary:Version}),
 qtbase5-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libgpgmepp-doc (= ${binary:Version}),
Breaks:
 kdepimlibs5-dev,
Replaces:
 kdepimlibs5-dev,
Description: C++ and Qt bindings for GPGME (development files)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains the headers and other files needed to compile
 against either of these libraries.

Package: libgpgmepp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 libgpgmepp-dev,
Description: C++ and Qt bindings for GPGME (documentation for developers)
 GpgME++ (aka GpgMEpp) is a C++ wrapper (or C++ bindings) for the
 GnuPG project's GPGME (GnuPG Made Easy) library.
 .
 QGpgME is a library that provides GPGME integration with QEventLoop
 and some Qt datatypes (e.g. QByteArray).
 .
 This package contains documentation for developers describing how to
 use these packages.

=== debian/tests/control ===
Tests: python
Depends: python-gpg

Tests: python3
Depends: python3-gpg

## gpgme1.0 1.12.0

=== debian/changelog ===
gpgme1.0 (1.12.0-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable (LP: #1808109).  Remaining changes:
    - debian/patch/0007-Python-Versions.patch: Use py{,3}versions detection.
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
      will fix the build failures of kf5-kdepim-apps-libs when built against this
      gpgme package.
    - Bump libgpg-error-dev build dependency to 1.28 for new gpgrt API
    - Drop versioned python tests - 3.5 is not shipped anymore; and it
      makes transitions harder for dubious benefits.
  * qt-Use-tofu-conflict-test-keys-without-expiry.patch: Cherry pick
    upstream fix for expiry dates in test suite.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Jan 2019 17:36:53 +0100

gpgme1.0 (1.12.0-4) unstable; urgency=medium

  * no need to clean up build-py3.7 any longer
  * Fix test suite on arches with 32-bit time_t

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 11:54:17 -0400

gpgme1.0 (1.12.0-3) unstable; urgency=medium

  * use upstream patches to build all versions of python

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Oct 2018 00:55:22 -0400

gpgme1.0 (1.12.0-2) unstable; urgency=medium

  * clean up residue of older build reorganization
  * do out-of-tree builds
  * hide HAVE_CXX11 from python bindings
  * perform an extra configuration and build to get python 3.7 working

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 17 Oct 2018 22:58:20 -0400

gpgme1.0 (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * update .symbols
  * refresh gpgmepp6.lintian-overrides

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 16 Oct 2018 18:28:51 -0400

gpgme1.0 (1.11.1-2) unstable; urgency=medium

  * acknowledge NMU (thanks, Adrian!)
  * allow rebuild with older versions of libgpg-error
  * drop python3.5, try to add 3.7
  * d/changelog: strip trailing whitespace
  * Standards-Version: bump to 4.2.1 (no changes needed)
  * use dh_missing explicitly
  * avoid shipping gpgme-json yet (we will ship it next release)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 09 Oct 2018 01:42:48 -0400

gpgme1.0 (1.11.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump the libgpg-error-dev build dependency to >= 1.28.
    (Closes: #898120)

 -- Adrian Bunk <bunk@debian.org>  Sun, 23 Sep 2018 12:57:39 +0300

gpgme1.0 (1.11.1-1ubuntu4) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 12:07:06 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://www.gnupg.org/related_software/gpgme/
 Vcs-Git: https://salsa.debian.org/debian/gpgme.git
 Vcs-Browser: https://salsa.debian.org/debian/gpgme

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,3 @@
 
 Tests: python3
 Depends: python3-gpg
-

## gpgme1.0 1.13.0

=== debian/changelog ===
gpgme1.0 (1.13.0-2) experimental; urgency=medium

  * refresh patches
  * fix signature verification failure when decrypting with session keys
  * ship pkgconfig file gpgme.pc
  * Definitively avoid shipping gpgme-glib.pc
  * dh_missing --fail-missing

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 May 2019 18:28:35 -0400

gpgme1.0 (1.13.0-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #912898)

  [ Daniel Kahn Gillmor ]
  * new upstream release to experimental due to the freeze
  * move to DEP-14 debian/experimental branch
  * move to debhelper 12
  * standards-version: bump to 4.3.0 (no changes needed)
  * refresh patches (dropping those already upstream)
  * refresh lintian-overrides
  * add Build-Depends-Package field to libgpgme11.symbols
  * gbp import-orig: filter out generated VERSION file and emacs turds
  * Re-export upstream signing key without extra signatures.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 May 2019 08:28:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: gpgme1.0
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
  automake (>= 1.14),
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-exec,
  dh-python,
  gnupg-agent,
  gnupg2 | gnupg (>= 2),
  gpgsm,
  libassuan-dev (>= 2.4.2),
- libgpg-error-dev (>= 1.28),
+ libgpg-error-dev (>= 1.24),
+ libpython-all-dev,
+ libpython3-all-dev,
  pkg-config,
- python-all-dev,
- python3-all-dev,
+ python-all-dev:any,
+ python3-all-dev:any,
  qtbase5-dev,
  scdaemon,
  swig,
@@ -25,9 +26,9 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.gnupg.org/related_software/gpgme/
-Vcs-Git: https://salsa.debian.org/debian/gpgme.git
+Vcs-Git: https://salsa.debian.org/debian/gpgme.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/debian/gpgme
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5

include /usr/share/dpkg/architecture.mk

# python2.7
export PYTHONPATH:=/usr/lib/python2.7/plat-$(DEB_HOST_MULTIARCH)$(if $(PYTHONPATH),:$(PYTHONPATH))
# python3.X, see pybuild for their meaning.
export _PYTHON_HOST_PLATFORM:=${DEB_HOST_ARCH_OS}-${DEB_HOST_ARCH}
export _PYTHON_SYSCONFIGDATA_NAME:=_sysconfigdata_m_${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}

%:
	dh $@ --builddirectory=build --with python2,python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
	    --enable-static \
	    --enable-languages="python cpp qt" \
	    --infodir=/usr/share/info

override_dh_missing:
	dh_missing --fail-missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__ -Xgpgme-json

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installdocs:
	dh_installdocs -X.md5

=== debian/tests/control ===
Tests: python
Depends: python-gpg

Tests: python3
Depends: python3-gpg

Tests: python3.6
Depends: python3.6, python3-gpg

Tests: python3.7
Depends: python3.7, python3-gpg

## gpgme1.0 1.13.1

=== debian/changelog ===
gpgme1.0 (1.13.1-7ubuntu2) focal; urgency=medium

  * Don't fail a test that is supposed to fail on 32bit systems

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Mar 2020 17:52:51 +0100

gpgme1.0 (1.13.1-7ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
      will fix the build failures of kf5-kdepim-apps-libs when built against
      this gpgme package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Mar 2020 21:24:25 +0100

gpgme1.0 (1.13.1-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Adapt cross building for python3.8 (Closes: #925797)

  [ Daniel Kahn Gillmor ]
  * Mark libgpgmepp-{doc,dev} with Multi-Arch: {foreign,same}

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 09 Mar 2020 12:55:53 -0400

gpgme1.0 (1.13.1-6ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:32:46 +0100

gpgme1.0 (1.13.1-6ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
      will fix the build failures of kf5-kdepim-apps-libs when built against
      this gpgme package.
  * Dropped changes, no longer needed:
    - Bump libgpg-error-dev build dependency to 1.28 for new gpgrt API
    - debian/patch/0007-Python-Versions.patch: won't work now that python2
      support is dropped, and doesn't appear to be needed.
  * Dropped changes, superseded in Debian:
    - Update test dependency for python->python2 move

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 16:43:13 -0800

gpgme1.0 (1.13.1-6) unstable; urgency=medium

  * brown paper bag bugfix to debian/tests :(
  * try to improve reproducibility for generated docs

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Jan 2020 11:37:08 -0500

gpgme1.0 (1.13.1-5) unstable; urgency=medium

  * checky2106 should not cause the build to fail
  * Standards-Version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Jan 2020 13:27:30 -0500

gpgme1.0 (1.13.1-4) unstable; urgency=medium

  * fix up tests, cover all supported python3 versions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 28 Jan 2020 14:06:56 -0500

gpgme1.0 (1.13.1-3) unstable; urgency=medium

  * drop ${python3:Versions} from python3-gpg, i clearly don't know how to
    use it properly.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Jan 2020 17:46:46 -0500

gpgme1.0 (1.13.1-2) unstable; urgency=medium

  * rebuild, pulling in python 3.8 (Closes: #944774)
   - requires patching upstream, changes to cross-building logic
  * Update standards version to 4.4.1, no changes needed.
  * add buildtime and runtime tests for platform time limits
  * remove python-gpg autopkgtest entirely (Closes: #943390, #943111)
  * update lintian-overrides for untracked C++ symbols
  * fix json tests
  * d/control: drop unused ${shlibs:Depends} from libgpgmepp-dev
  * d/control: added ${python3:Versions} to python3-gpg

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Jan 2020 17:11:25 -0500

gpgme1.0 (1.13.1-1) unstable; urgency=medium

  * new upstream release
  * release to unstable
  * d/{control,gpb.conf}: fix up Vcs branch name for DEP-14
  * make sure to test python decryption and verification
  * Standards-Version: bump to 4.4.0 (no changes needed)
  * Drop python2 support, only build for python3
  * go with upstream python, ignoring intermittent decrypt problems

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 26 Aug 2019 15:24:31 -0400

gpgme1.0 (1.12.0-6ubuntu3) focal; urgency=medium

  * Update test dependency for python->python2 move

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Oct 2019 11:31:47 +0200

gpgme1.0 (1.12.0-6ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:07:19 +0000

gpgme1.0 (1.12.0-6ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patch/0007-Python-Versions.patch: Use py{,3}versions detection.
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
      will fix the build failures of kf5-kdepim-apps-libs when built against this
      gpgme package.
    - Bump libgpg-error-dev build dependency to 1.28 for new gpgrt API

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Apr 2019 10:05:42 +0200

gpgme1.0 (1.12.0-6) unstable; urgency=medium

  * Team upload.
  * d/tests: Fix autopkgtest by removing test for python3.6, and
    python3.7, since we already have test for python3.

 -- Roger Shimizu <rosh@debian.org>  Wed, 23 Jan 2019 20:19:53 +0900

gpgme1.0 (1.12.0-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix RC bug that TofuInfoTest key expires
    on 2019-Jan-06 (Closes: #919293).

 -- Roger Shimizu <rosh@debian.org>  Sun, 20 Jan 2019 00:11:50 +0900

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,8 @@
  gpgsm,
  libassuan-dev (>= 2.4.2),
  libgpg-error-dev (>= 1.24),
- libpython-all-dev,
  libpython3-all-dev,
  pkg-config,
- python-all-dev:any,
  python3-all-dev:any,
  qtbase5-dev,
  scdaemon,
@@ -26,9 +24,9 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://www.gnupg.org/related_software/gpgme/
-Vcs-Git: https://salsa.debian.org/debian/gpgme.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/debian/gpgme.git -b debian/master
 Vcs-Browser: https://salsa.debian.org/debian/gpgme
 Rules-Requires-Root: no
 
@@ -101,32 +99,6 @@
  .
  This is the official upstream Python 3 binding for GPGME.
 
-Package: python-gpg
-Architecture: any
-Section: python
-Provides:
- ${python:Provides},
-Depends:
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: Python interface to the GPGME GnuPG encryption library (Python 2)
- The "gpg" Python module is, for the most part, a direct interface to
- the C GPGME library.  However, it is re-packaged in a more Pythonic
- way -- object-oriented with classes and modules.  Take a look at the
- classes defined here -- they correspond directly to certain object
- types in GPGME for C.
- .
- Features:
-  * Feature-rich, full implementation of the GPGME library. Supports
-    all GPGME features except interactive editing (coming soon).
-    Callback functions may be written in pure Python.
-  * Ability to sign, encrypt, decrypt, and verify data.
-  * Ability to list keys, export and import keys, and manage the keyring.
-  * Fully object-oriented with convenient classes and modules.
- .
- This is the official upstream Python 2 binding for GPGME.
-
 Package: libqgpgme7
 Architecture: any
 Multi-Arch: same
@@ -154,12 +126,12 @@
 Package: libgpgmepp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libgpgmepp6 (= ${binary:Version}),
  libqgpgme7 (= ${binary:Version}),
  qtbase5-dev,
  ${misc:Depends},
- ${shlibs:Depends},
 Recommends:
  libgpgmepp-doc (= ${binary:Version}),
 Breaks:
@@ -179,6 +151,7 @@
 Package: libgpgmepp-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5

include /usr/share/dpkg/architecture.mk

# python3.X, see pybuild for their meaning.
export _PYTHON_HOST_PLATFORM:=${DEB_HOST_ARCH_OS}-${DEB_HOST_ARCH}
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	export _PYTHON_SYSCONFIGDATA_NAME:=_sysconfigdata__${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
endif

%:
	dh $@ --builddirectory=build --with python3

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build -- \
	    --enable-static \
	    --enable-languages="python cpp qt" \
	    --infodir=/usr/share/info

override_dh_missing:
	dh_missing --fail-missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__ -Xgpgme-json

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	dh_auto_test
	./debian/tests/checky2106 || true
endif

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installdocs:
	dh_installdocs -X.md5

## gpgme1.0 1.14.0

=== debian/changelog ===
gpgme1.0 (1.14.0-1) unstable; urgency=medium

  * new upstream release
  * gbp: use debian/sid branch to track unstable
  * refresh patches
  * d/copyright: clean up
  * updated lintian-overrides for new C++ library versions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 10 Aug 2020 18:51:50 -0400

gpgme1.0 (1.13.1-9) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * fix test sadness on 32bit systems due to bad bash syntax (Closes: #963782)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 01 Jul 2020 14:50:20 -0400

gpgme1.0 (1.13.1-8) unstable; urgency=medium

  * 32-bit ulong platforms can ignore failures until 2031 (Closes: #953800)
  * d/changelog: correct closing #952797
  * move to dh 13

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Jun 2020 15:13:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
  automake (>= 1.14),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
  dh-python,
  gnupg-agent,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	    --infodir=/usr/share/info
 
 override_dh_missing:
-	dh_missing --fail-missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__ -Xgpgme-json
+	dh_missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__ -Xgpgme-json
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))

## gpgme1.0 1.16.0

=== debian/changelog ===
gpgme1.0 (1.16.0-1.2ubuntu4) jammy; urgency=medium

  * d/patches:
    + 0007-lang-python-tests-Fix-FTBFS-caused-by-missing-PYTHON.patch

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 31 Mar 2022 13:59:19 +0200

gpgme1.0 (1.16.0-1.2ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:25 +0100

gpgme1.0 (1.16.0-1.2ubuntu2) jammy; urgency=medium

  * Comment out 0006-PIC-and-shared.patch, not needed anymore.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jan 2022 10:53:06 +0100

gpgme1.0 (1.16.0-1.2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
      (Closes: #870383)
    + Enable gpgme-json LP: #1872474
    + Add integration with Google Chrome.
    + d/patches/0001-core-Support-closefrom-also-for-glibc.patch: backport
      support for using closefrom from glibc.
  * Reinstate build-dependency on dh-exec

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 10 Dec 2021 12:38:30 +0000

gpgme1.0 (1.16.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Avoid a hardcoded list of known Python versions. (Closes: #998471)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Nov 2021 22:23:52 -0400

gpgme1.0 (1.16.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream fixes for test failures on 32bit archs:
    - d/patches/upstream-e0494c54-fix-use-after-free-in-test.patch
    - d/patches/upstream-72a2487a-expiration-date-as-unsigned.patch
    (Closes: #992922)

 -- Norbert Preining <norbert@preining.info>  Wed, 15 Sep 2021 14:31:55 +0900

gpgme1.0 (1.16.0-1) unstable; urgency=medium

  * new upstream release
  * drop already-upstream patches
  * refresh remaining patches
  * update lintian overrides
  * drop dh-exec, relying instead on debhelper 13 for substitutions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Aug 2021 11:07:50 -0400

gpgme1.0 (1.15.1-3) unstable; urgency=medium

  * move back to unstable
  * Standards-Version: bump to 4.6.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 20 Aug 2021 17:55:28 -0400

gpgme1.0 (1.15.1-2) experimental; urgency=medium

  * Avoid sending --with-keygrip unconditionally (Closes: #984594)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Mar 2021 22:39:56 -0500

gpgme1.0 (1.15.1-1) experimental; urgency=medium

  * new upstream release
  * update upstream signing key for Werner Koch
  * Standards-Version: bump to 4.5.1 (no changes needed)
  * refresh patches
  * avoid shipping experimental feature GPGME_EXPORTMODE_NOUID
  * update gpg-error dependency to require 1.36
  * refresh lintian overrides
  * update exported symbols to include new expiration and revocation
  * note that patches are forwarded upstream
  * drop directives for missing package python-gpg
  * python3-gpg: ship howto/ folder of examples
  * ship all python example scripts with python3 shebang
  * move to packaging branch debian/experimental

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Feb 2021 09:52:46 -0500

gpgme1.0 (1.14.0-1ubuntu6) jammy; urgency=medium

  * No-change rebuild with fixed py3versions

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Nov 2021 08:28:18 +0000

gpgme1.0 (1.14.0-1ubuntu5) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:23 +0000

gpgme1.0 (1.14.0-1ubuntu4) impish; urgency=medium

  * d/patches/0001-core-Support-closefrom-also-for-glibc.patch: backport
    support for using closefrom from glibc.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 10 Aug 2021 16:36:16 +1200

gpgme1.0 (1.14.0-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:45:47 +0100

gpgme1.0 (1.14.0-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Oct 2020 18:32:15 +0000

gpgme1.0 (1.14.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
      (Closes: #870383)
    - Enable gpgme-json LP: #1872474
    - Add integration with Google Chrome.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 12:32:10 +0200

gpgme1.0 (1.13.1-9ubuntu2) groovy; urgency=medium

  * Enable gpgme-json LP: #1872474
  * Add integration with Google Chrome.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 18 Jul 2020 21:46:38 +0100

gpgme1.0 (1.13.1-9ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
      (Closes: #870383)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jul 2020 14:47:27 +0200

gpgme1.0 (1.13.1-8ubuntu2) groovy; urgency=medium

  * Fix test sadness on 32bit systems due to bad bash syntax.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jun 2020 23:44:40 +0200

gpgme1.0 (1.13.1-8ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/0006-PIC-and-shared.patch: Libs are -fPIC and -shared.
      (Closes: #870383)
  * Drop changes, not useful anymore, since kf5-kdepim-apps-libs seems to be
    not using that link anymore:
    - Add in libgpgme-dev a libgpgme-pthread.so pointing to libgpgme.so, this
      will fix the build failures of kf5-kdepim-apps-libs when built against
      this gpgme package.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jun 2020 10:16:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	    --infodir=/usr/share/info
 
 override_dh_missing:
-	dh_missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__ -Xgpgme-json
+	dh_missing -X.la -Xinfo/dir -X.pyc -Xinstall_files.txt -X__pycache__
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))

## gpgme1.0 1.17.1

=== debian/changelog ===
gpgme1.0 (1.17.1-4.1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable gpgme-json LP: #1872474
    - Add integration with Google Chrome.
    - Reinstate build-dependency on dh-exec

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Sep 2022 14:04:44 +0200

gpgme1.0 (1.17.1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * fix FTBFS caused by missing PYTHON (Closes: #1015995)
    (Original patch by Alexandre Ghiti)

 -- Paul Gevers <elbrus@debian.org>  Tue, 06 Sep 2022 20:59:56 +0200

gpgme1.0 (1.17.1-4ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable gpgme-json LP: #1872474
    - Add integration with Google Chrome.
    - Reinstate build-dependency on dh-exec
    - 0007-lang-python-tests-Fix-FTBFS-caused-by-missing-PYTHON.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Jul 2022 11:12:29 +0200

gpgme1.0 (1.17.1-4) unstable; urgency=medium

  * release to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Jun 2022 13:02:47 -0400

gpgme1.0 (1.17.1-3) experimental; urgency=medium

  * adopt upstream patch to fix build in 32-bit platforms

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 May 2022 02:03:55 -0400

gpgme1.0 (1.17.1-2) experimental; urgency=medium

  * avoid -unknown suffix (Closes: #1004742)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 20 May 2022 23:55:23 -0400

gpgme1.0 (1.17.1-1) experimental; urgency=medium

  * New upstream release
  * move to DEP-14 branch naming
  * drop patches already upstream
  * refresh patches
  * update symbols
  * d/libgpgmepp6.lintian-overrides: update
  * qgpgme: ABI bump: Change from libqgpgme7 to libqgpgme15
  * move to experimental to test transition to libqgpgme15

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 01 May 2022 01:14:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpgme1.0
 Priority: optional
 Section: libs
-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
@@ -13,7 +14,7 @@
  gnupg2 | gnupg (>= 2),
  gpgsm,
  libassuan-dev (>= 2.4.2),
- libgpg-error-dev (>= 1.24),
+ libgpg-error-dev (>= 1.36),
  libpython3-all-dev,
  pkg-config,
  python3-all-dev:any,
@@ -24,9 +25,9 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.gnupg.org/related_software/gpgme/
-Vcs-Git: https://salsa.debian.org/debian/gpgme.git -b debian/master
+Vcs-Git: https://salsa.debian.org/debian/gpgme.git
 Vcs-Browser: https://salsa.debian.org/debian/gpgme
 Rules-Requires-Root: no
 
@@ -99,7 +100,7 @@
  .
  This is the official upstream Python 3 binding for GPGME.
 
-Package: libqgpgme7
+Package: libqgpgme15
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -129,7 +130,7 @@
 Multi-Arch: same
 Depends:
  libgpgmepp6 (= ${binary:Version}),
- libqgpgme7 (= ${binary:Version}),
+ libqgpgme15 (= ${binary:Version}),
  qtbase5-dev,
  ${misc:Depends},
 Recommends:
@@ -165,3 +166,14 @@
  .
  This package contains documentation for developers describing how to
  use these packages.
+
+Package: gpgme-json
+Architecture: any
+Section: web
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: json interface to the GPGME GnuPG encryption library
+ This interface allows web-browser extentions to communicate with
+ gpgme from Chromium and Mozilla web-bworses. Installing this package
+ should allow Mailvelope extension to work for example

## gpgme1.0 1.18.0

=== lang/python/examples/howto/advanced/cython/requirements.txt ===
cython

=== debian/changelog ===
gpgme1.0 (1.18.0-4.1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:14:47 +0000

gpgme1.0 (1.18.0-4.1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:30:58 +0000

gpgme1.0 (1.18.0-4.1ubuntu2) noble; urgency=medium

  * Ignore test results for a first build (armhf, i386).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 17:00:23 +0100

gpgme1.0 (1.18.0-4.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable gpgme-json LP #1872474
    - Add integration with Google Chrome.
    - Reinstate build-dependency on dh-exec

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Mar 2024 11:13:09 +0100

gpgme1.0 (1.18.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062119

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:10:53 +0000

gpgme1.0 (1.18.0-4ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Enable gpgme-json LP: #1872474
    - Add integration with Google Chrome.
    - Reinstate build-dependency on dh-exec

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2023 09:21:11 +0100

gpgme1.0 (1.18.0-4) unstable; urgency=medium

  * Team upload.
  * Patch Makefile.am to invoke setup.py with --install-layout=deb and
    --root "$(DESTDIR)" (instead of setting prefix) and adapt paths in
    python3-gpg.install to allow building with python3-setuptools.
    Closes: #1039724, #1054786

 -- Andreas Metzler <ametzler@debian.org>  Wed, 01 Nov 2023 18:11:31 +0100

gpgme1.0 (1.18.0-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable gpgme-json LP: #1872474
    - Add integration with Google Chrome.
    - Reinstate build-dependency on dh-exec

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Nov 2022 14:51:00 +0100

gpgme1.0 (1.18.0-3) unstable; urgency=medium

  * Acknowledge NMU.  Thanks very much to Andreas Metzler!
  * Refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 20 Nov 2022 18:16:16 -0500

gpgme1.0 (1.18.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherrypicked from upstream GIT:
    + 0015-build-Prefer-gpgrt-config-when-available.patch,
      0016-gpgme.m4-Include-_AM_PATH_GPGRT_CONFIG-implementatio.patch: Update
      gpgme.m4 to prefer gpgrt-config even if gpgme-config was available and
      to find gpgrt-config when AM_PATH_GPG_ERROR was not used.
    + 0017-doc-Update-documentation-for-gpgme.pc-and-pkg-config.patch:
      Document pkg-config instead of gpgme-config in manual.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Nov 2022 07:16:46 +0100

gpgme1.0 (1.18.0-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Fix FTBFS after removal of gpg-error-config (Closes: #1022348)
  * gpgme-config not installed anymore

  [ Jelmer Vernooĳ ]
  * debian/upstream/metadata: Set Repository and Repository-Browse.

  [ Daniel Kahn Gillmor ]
  * d/upstream/metadata: add upstream bug reporting details

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Nov 2022 10:54:12 -0400

gpgme1.0 (1.18.0-1) unstable; urgency=medium

  * new upstream version
    (acknowledge NMU -- thanks, Paul and Alexandre!)
  * d/upstream/signing-key.asc: add gniibe's key (working around #1010955)
  * drop patch already upstream
  * refresh patches
  * Standards-Version: bump to 4.6.1 (no changes needed)
  * update lintian overrides

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 28 Sep 2022 20:31:10 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  automake (>= 1.14),
  debhelper-compat (= 13),
- dh-exec,
  dh-python,
  gnupg-agent,
  gnupg2 | gnupg (>= 2),
@@ -22,10 +21,11 @@
  scdaemon,
  swig,
  texinfo,
+ dh-exec,
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.gnupg.org/related_software/gpgme/
 Vcs-Git: https://salsa.debian.org/debian/gpgme.git
 Vcs-Browser: https://salsa.debian.org/debian/gpgme
@@ -38,7 +38,7 @@
  libassuan-dev,
  libc6-dev,
  libgpg-error-dev,
- libgpgme11 (= ${binary:Version}),
+ libgpgme11t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -54,7 +54,10 @@
  This package contains the headers and other files needed to compile
  against this library.
 
-Package: libgpgme11
+Package: libgpgme11t64
+Provides: ${t64:Provides}
+Replaces: libgpgme11
+Breaks: libgpgme11 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -100,7 +103,10 @@
  .
  This is the official upstream Python 3 binding for GPGME.
 
-Package: libqgpgme15
+Package: libqgpgme15t64
+Provides: ${t64:Provides}
+Replaces: libqgpgme15
+Breaks: libqgpgme15 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -112,7 +118,10 @@
  .
  This is the official upstream Qt binding for GPGME.
 
-Package: libgpgmepp6
+Package: libgpgmepp6t64
+Provides: ${t64:Provides}
+Replaces: libgpgmepp6
+Breaks: libgpgmepp6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -129,8 +138,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgpgmepp6 (= ${binary:Version}),
- libqgpgme15 (= ${binary:Version}),
+ libgpgmepp6t64 (= ${binary:Version}),
+ libqgpgme15t64 (= ${binary:Version}),
  qtbase5-dev,
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_test:
 ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
-	dh_auto_test
+	-dh_auto_test
 	./debian/tests/checky2106 || true
 endif
